Bug 999516 - Unit test in pulp_rpm/plugins/test/unit/test_nectar_factory.py fails on RHEL 5
Unit test in pulp_rpm/plugins/test/unit/test_nectar_factory.py fails on RHEL 5
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
x86_64 Linux
unspecified Severity urgent
: ---
: 2.2.0
Assigned To: Barnaby Court
Preethi Thomas
: Triaged
: 999511 999513 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2013-08-21 09:11 EDT by Barnaby Court
Modified: 2014-03-18 12:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-03-18 12:06:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Barnaby Court 2013-08-21 09:11:42 EDT
Description of problem:  pulp_rpm/plugins/test/unit/test_nectar_factory.py fails on RHEL 5 fails because nectar is not supported on RHEL 5

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run the pulp_rpm/run-tests.py file. on RHEL 5
2. Observe the failures in the logs

Actual results:
Test failure in test_nectar_factory.py

Expected results:
all unit tests passing on RHEL 5

Additional info:
ERROR: Failure: ImportError (No module named nectar.downloaders.curl)
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/nose/loader.py", line 381, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python2.4/site-packages/nose/importer.py", line 39, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python2.4/site-packages/nose/importer.py", line 86, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/home/jenkins/workspace/pulp_all-rhel5/pulp_rpm/plugins/test/unit/test_nectar_factory.py", line 16, in ?
    from nectar.downloaders.curl import HTTPCurlDownloader
ImportError: No module named nectar.downloaders.curl
Comment 1 Barnaby Court 2013-08-21 10:04:04 EDT
Build run-tests.py should be updated to bypass the pulp_rpm/plugins directory on RHEL 5
Comment 2 Barnaby Court 2013-08-21 10:16:06 EDT
*** Bug 999513 has been marked as a duplicate of this bug. ***
Comment 3 Barnaby Court 2013-08-21 10:17:00 EDT
*** Bug 999511 has been marked as a duplicate of this bug. ***
Comment 4 Barnaby Court 2013-09-23 08:52:33 EDT
I verified this in the Sep 23, 2013 12:35:12 AM build.  It has been fixed.
Comment 5 Preethi Thomas 2013-09-23 09:05:26 EDT
Moving to verified
Comment 6 Preethi Thomas 2014-03-18 12:06:26 EDT
These were already verified in the corresponding releases that they were fixed in. Moving them to closed current release.

Note You need to log in before you can comment on or make changes to this bug.